/* ===========================================================================
 * $RCSfile: Version.java,v $
 * ===========================================================================
 *
 * RetroGuard -- an obfuscation package for Java classfiles.
 *
 * Copyright (c) 1998-2005 Mark Welsh (markw@retrologic.com)
 *
 * This program is free software; you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 2 of the License, or 
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * The author may be contacted at markw@retrologic.com 
 *
 */

package COM.rl.obf;


/**
 * Central point for version and build control.
 *
 * @author Mark Welsh
 */
public class Version 
{
    // Constants -------------------------------------------------------------
    private static final String REL_VERSION = "2.0.5";
    private static final String RETROGUARD_CLASS_ID = "rgv2";
    private static final String RETROGUARD_REL_JAR_COMMENT =
    "Obfuscation by RetroGuard - www.retrologic.com (author: Mark Welsh, markw@retrologic.com)";


    // Class Methods ---------------------------------------------------------
    /** Return the current major.minor.patch version string. */
    public static String getVersion() 
    {
        return REL_VERSION;
    }

    /** Return the current class ID string. */
    public static String getClassIdString() 
    {
        return RETROGUARD_CLASS_ID;
    }

    /** Return the default Jar comment string. */
    public static String getJarComment() 
    {
        return RETROGUARD_REL_JAR_COMMENT;
    }
}
